=== modified file 'loggerhead/controllers/annotate_ui.py'
--- loggerhead/controllers/annotate_ui.py	2007-05-21 07:37:15 +0000
+++ loggerhead/controllers/annotate_ui.py	2007-06-19 13:49:09 +0000
@@ -56,7 +56,8 @@
         if len(args) > 0:
             revid = h.fix_revid(args[0])
         else:
-            revid = None
+            revid = h.last_revid
+
         path = None
         if len(args) > 1:
             path = '/'.join(args[1:])
@@ -69,12 +70,6 @@
 
         if file_id is None:
             file_id = h.get_file_id(revid, path)
-
-        try:
-            revid_list, revid = h.get_file_view(revid, file_id)
-        except:
-            self.log.exception('Exception fetching changes')
-            raise InternalError('Could not fetch changes')
             
         # no navbar for revisions
         navigation = util.Container()

=== modified file 'loggerhead/history.py'
--- loggerhead/history.py	2007-06-19 11:23:13 +0000
+++ loggerhead/history.py	2007-06-19 13:49:09 +0000
@@ -503,12 +503,7 @@
             path = '/' + path
         return self._branch.repository.get_revision_inventory(revid).path2id(path)
     
-    def get_where_merged(self, revid):
-        try:
-            return self._where_merged[revid]
-        except:
-            return []
-    
+
     def get_merge_point_list(self, revid):
         """
         Return the list of revids that have merged this node.
@@ -518,7 +513,7 @@
         
         merge_point = []
         while True:
-            children = self.get_where_merged(revid)
+            children = self._where_merged.get(revid, [])
             nexts = []
             for child in children:
                 child_parents = self._revision_graph[child]

